#ifndef DBACTIONS_H
#define DBACTIONS_H
#include <sqlite3.h>
#include <iostream>
#include <string>
#include "Logger.h"

bool db_exec(sqlite3* targetDB, const char* command);
bool db_updateItem(sqlite3* targetDB, std::string targetTable, int id, std::string sector, std::string value);
bool db_rmItem(sqlite3* targetDB, std::string targetTable, int id);
bool db_addItem(sqlite3* targetDB, std::string targetTable, int id, std::string sector, std::string value);
std::string db_findIdBy(sqlite3* sourceDB, std::string sourceTable, std::string itemType, std::string value);
std::string db_getItem(sqlite3* sourceDB, std::string sourceTable, std::string itemType, int itemID);

#endif